hola comunidad, acabo de instalar ubuntu 16.04 y cuando doy apt-get update me da error actualizando, aqui les dejo lo que me dice
Err:23 http://ubuntu.uci.cu/ubuntu xenial-security/main i386 Packages
404 Not Found
Ign:26 http://ubuntu.uci.cu/ubuntu xenial-security/restricted i386 Packages
Ign:29 http://ubuntu.uci.cu/ubuntu xenial-security/universe i386 Packages
Ign:32 http://ubuntu.uci.cu/ubuntu xenial-security/multiverse i386 Packages
Err:35 http://ubuntu.uci.cu/ubuntu xenial-updates/main i386 Packages
404 Not Found
Ign:38 http://ubuntu.uci.cu/ubuntu xenial-updates/restricted i386 Packages
Ign:41 http://ubuntu.uci.cu/ubuntu xenial-updates/universe i386 Packages
Ign:44 http://ubuntu.uci.cu/ubuntu xenial-updates/multiverse i386 Packages
Err:47 http://ubuntu.uci.cu/ubuntu xenial-proposed/main i386 Packages
404 Not Found
Ign:52 http://ubuntu.uci.cu/ubuntu xenial-proposed/universe i386 Packages
Err:57 http://ubuntu.uci.cu/ubuntu xenial-backports/main i386 Packages
404 Not Found
Ign:60 http://ubuntu.uci.cu/ubuntu xenial-backports/universe i386 Packages
Descargados 830 kB en 1s (794 kB/s)
Leyendo lista de paquetes… Hecho
E: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/xenial/main/binary-i386/Packages 404 Not Found
E: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/xenial-security/main/binary-i386/Packages 404 Not Found
E: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/xenial-updates/main/binary-i386/Packages 404 Not Found
E: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/xenial-proposed/main/binary-i386/Packages 404 Not Found
E: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/xenial-backports/main/binary-i386/Packages 404 Not Found
E: No se han podido descargar algunos archivos de índice, se han omitido, o se han utilizado unos antiguos en su lugar.

Alguien me puede decir que sucede con eso? es que los repos estan dañados o algo?
son los repos de la uci para las dudas